import {
    getInviteList
} from '~/api/user'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: [],
        count: 0
    },

    async onShow() {
        let {
            list
        } = await getInviteList({
            pageSize: 9999
        })
        this.setData({
            list,
            count: list.length
        })
        console.log(list);
    },
    showTranscript() {
        this.selectComponent("#popUp").showModal()
    },
    closeTranscript() {
        this.selectComponent("#popUp").hideModal()
    },
    jumpUserInfo({
        currentTarget
    }) {
        wx.navigateTo({
            url: `/pages/personal/index?uid=${currentTarget.dataset.uid}&type=user`,
        })
    },
    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {
        const user = wx.getStorageSync('user');
        return {
            title: '自从用了它，家里朗朗书声，美妙极了！你家孩子也快来试试！',
            path: `/pages/index/index?uid=${user.uid}`,
            imageUrl: 'http://reader-wx.ai160.com/images/reader/v3/375-300-1.jpg'
        }
    }
})